// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon


textures/ut4_dare2jump/d2j_mysky
{
qer_editorimage textures/ut4_dare2jump/d2j_mysky.tga

surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_globaltexture
q3map_sun 0.941 0.984 1.00 150 270 45 // you can change the q3maps to your liking
q3map_surfacelight 100
q3map_lightsubdivide 256
skyparms env/dare2jump/d2j - -
}

textures/ut4_dare2jump/d2j_myglobe
{
qer_editorimage textures/ut4_dare2jump/d2j_myglobe.tga

surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_globaltexture
q3map_sun 0.941 0.984 1.00 150 270 45 // you can change the q3maps to your liking
q3map_surfacelight 100
q3map_lightsubdivide 256
skyparms env/dare2jump/globe/stratosphere - -
}

textures/ut4_dare2jump/d2j_grass1:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_wall10:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_slip2:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_floorgrt:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_boost:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_shimmer:q3map
{
  surfaceparm nodamage
  surfaceparm slick
}

textures/ut4_dare2jump/d2j_shimmer_nonsolid:q3map
{
  surfaceparm nonsolid
  surfaceparm nolightmap
  surfaceparm detail
}

textures/ut4_dare2jump/d2j_glass
{
     qer_editorimage textures/ut4_dare2jump/d2j_glass.tga 
       qer_trans 0.4
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nodamage
	   surfaceparm detail
        nopicmip
	   q3map_surfacelight 200
	   {
              map textures/ut4_dare2jump/d2j_glass.tga
              blendFunc blend
              alphaGen const 0.2
        }
}

textures/ut4_dare2jump/d2j_glass_slick
{
     qer_editorimage textures/ut4_dare2jump/d2j_glass.tga 
       qer_trans 0.4
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nodamage
	   surfaceparm slick
	   surfaceparm detail
        nopicmip
	   q3map_surfacelight 200
	   {
              map textures/ut4_dare2jump/d2j_glass.tga
              blendFunc blend
              alphaGen const 0.2
        }
}

textures/ut4_dare2jump/d2j_lava2
{
qer_editorimage textures/ut4_dare2jump/d2j_lava2.jpg
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
q3map_surfacelight 600
cull disable

tesssize 128
cull disable
deformVertexes wave 100 sin 3 2 .1 0.1

{
map textures/ut4_dare2jump/d2j_lava2.jpg
tcMod turb 0 .09 0 .1
}
}

textures/ut4_dare2jump/d2j_FauxBlueMarble_b:q3map
{
  surfaceparm nodamage
  surfaceparm slick
}

textures/ut4_dare2jump/d2j_NonS_FauxBlueMarble:q3map
{
  surfaceparm detail
  surfaceparm nonsolid
}

textures/ut4_dare2jump/d2j_rain2
{
	qer_editorImage textures/ut4_dare2jump/d2j_rain2.tga
	surfaceparm detail
  	surfaceparm nonsolid
	{
	   map textures/ut4_dare2jump/d2j_rain2.tga
	   tcMod scroll 0 1
	}
}

textures/ut4_dare2jump/d2j_leetd
{
     qer_editorimage textures/ut4_dare2jump/d2j_leetd.tga 

        surfaceparm detail
        surfaceparm nonsolid 
        surfaceparm trans
        nopicmip
        cull none

        {
              map textures/ut4_dare2jump/d2j_leetd.tga
              blendFunc blend
              alphaGen const 0.8
        }
}

textures/ut4_dare2jump/d2j_uberleet
{
     qer_editorimage textures/ut4_dare2jump/d2j_uberleet.tga 

        surfaceparm detail
        surfaceparm nonsolid 
        surfaceparm trans
        nopicmip
        cull none

        {
              map textures/ut4_dare2jump/d2j_uberleet.tga
              blendFunc blend
              alphaGen const 0.8
        }
}

textures/ut4_dare2jump/d2j_obstaclemap:q3map
{
        surfaceparm detail
        surfaceparm nonsolid 
        surfaceparm trans
        nopicmip
        cull none
}

textures/ut4_dare2jump/d2j_roadside
{
	qer_editorimage textures/ut4_dare2jump/d2j_roadside1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	{
	 animmap 7 textures/ut4_dare2jump/d2j_roadside1.tga textures/ut4_dare2jump/d2j_roadside2.tga textures/ut4_dare2jump/d2j_roadside3.tga textures/ut4_dare2jump/d2j_roadside4.tga textures/ut4_dare2jump/d2j_roadside5.tga textures/ut4_dare2jump/d2j_roadside6.tga textures/ut4_dare2jump/d2j_roadside7.tga 
	}
}

textures/ut4_dare2jump/d2j_roadbottom
{
	qer_editorImage textures/ut4_dare2jump/d2j_roadbottom.tga
	surfaceparm detail
  	surfaceparm nodamage
	{
	   map textures/ut4_dare2jump/d2j_roadbottom.tga
	   tcMod scroll 0 1
	}
}

textures/ut4_dare2jump/d2j_helpthatnoob:q3map
{
 	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1000
}

textures/ut4_dare2jump/d2j_goback:q3map
{
 	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1000
}

textures/ut4_dare2jump/d2j_roq
{
	qer_editorimage textures/ut4_dare2jump/d2j_roqt.tga
	surfaceparm nolightmap
    {
        videomap video/d2j_roq.RoQ 
	   rgbGen identity
    }
}

textures/ut4_dare2jump/d2j_lookthereafterpress:q3map
{
      surfaceparm detail
      surfaceparm nonsolid 
      surfaceparm trans
      nopicmip
      cull none
}

textures/ut4_dare2jump/d2j_rosty_l01:q3map
{
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
     cull none
}

textures/ut4_dare2jump/d2j_rosty_l01md:q3map
{
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
     cull none
}

textures/ut4_dare2jump/d2j_rosty_l01md_overlap:q3map
{
	surfaceparm nodamage
	surfaceparm nomarks
	nopicmip
     cull none
}

textures/ut4_dare2jump/d2j_NonS_rosty_l01md:q3map
{
	surfaceparm nonsolid
	surfaceparm detail
	nopicmip
     cull none
}

textures/ut4_dare2jump/d2j_cobblestones1b:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_trackbase:q3map
{
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_brightstone_slick:q3map
{
  surfaceparm nodamage
  surfaceparm slick
}

textures/ut4_dare2jump/d2j_NonS_brightstone:q3map
{
  surfaceparm nonsolid
  surfaceparm detail
  nopicmip
  cull none
}

textures/ut4_dare2jump/d2j_clang_floor2:q3map
{
  surfaceparm ladder
  surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_moonstone:q3map
{
    surfaceparm nodamage
}

textures/ut4_dare2jump/d2j_water:q3map
{
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm water
}

textures/ut4_dare2jump/d2j_dutchflag
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	   tessSize 100
        deformVertexes wave 100 sin 0 8 0 .9
        
        {
               map textures/ut4_dare2jump/d2j_dutchflag.jpg
               blendfunc gl_src_alpha gl_one_minus_src_alpha
               alphaFunc GE128
               rgbGen vertex
        }
}

textures/ut4_dare2jump/d2j_waterv2
	{
		qer_editorimage textures/ut4_dare2jump/d2j_water.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/ut4_dare2jump/d2j_water.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
		{ 
			map textures/ut4_dare2jump/d2j_water.jpg
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/ut4_dare2jump/jagbluecar:q3map
{
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

textures/ut4_dare2jump/jagredcar:q3map
{
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

textures/ut4_dare2jump/jaggreencar:q3map
{
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

textures/ut4_dare2jump/d2j_startinfo
{
	qer_editorimage textures/ut4_dare2jump/d2j_startinfo1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	{
	 animmap 0.375 textures/ut4_dare2jump/d2j_startinfo1.tga textures/ut4_dare2jump/d2j_startinfo2.tga textures/ut4_dare2jump/d2j_startinfo3.tga 
	}
}

textures/ut4_dare2jump/d2j_theend:q3map
{
  surfaceparm nodamage
  nopicmip
}

textures/ut4_dare2jump/d2j_thx4play:q3map
{
  surfaceparm nodamage
  nopicmip
}

//Funstuff stuff for map models

models/players/funstuff/cheese:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  nopicmip
  cull none
}

models/players/funstuff/Pacman:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  nopicmip
  cull none
}

models/players/funstuff/hatctxt1:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  nopicmip
  cull none
}

models/players/funstuff/gtd1:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  nopicmip
  cull none
}

models/players/funstuff/jagface:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  nopicmip
  cull none
}

textures/ut4_dare2jump/jagblue:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

textures/ut4_dare2jump/jaggray:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

textures/ut4_dare2jump/jagfacein:q3map
{
  surfaceparm nolightmap
  surfaceparm detail
  surfaceparm nodamage
  nopicmip
  cull none
}

//camera
textures/ut4_dare2jump/d2j_camera
{
	qer_editorimage textures/ut4_dare2jump/d2j_camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ut4_dare2jump/d2j_camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}
